ConfigRuleSet (Apache Struts API Documentation)
Keywords: org.apache.struts.config.ConfigRuleSet,ConfigRuleSet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class ConfigRuleSet

    java.lang.Object
      |
      +--org.apache.commons.digester.RuleSetBase
            |
            +--org.apache.struts.config.ConfigRuleSet

All Implemented Interfaces:
  org.apache.commons.digester.RuleSet

public class ConfigRuleSet
extends org.apache.commons.digester.RuleSetBase

The set of Digester rules required to parse a Struts configuration file (`struts-config.xml`).

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan

Field Summary

Fields inherited from class org.apache.commons.digester.RuleSetBase
`namespaceURI`

Constructor Summary
`ConfigRuleSet()`

Method Summary
`void` | `addRuleInstances(org.apache.commons.digester.Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

Methods inherited from class org.apache.commons.digester.RuleSetBase
`getNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigRuleSet

    public ConfigRuleSet()

Method Detail

### addRuleInstances

    public void addRuleInstances(org.apache.commons.digester.Digester digester)

  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance. These rules assume that an instance of `org.apache.struts.config.ModuleConfig` is pushed onto the evaluation stack before parsing begins.

  Specified by:
    `addRuleInstances` in interface `org.apache.commons.digester.RuleSet`
  Specified by:
    `addRuleInstances` in class `org.apache.commons.digester.RuleSetBase`
  Parameters:
    `digester` - Digester instance to which the new Rule instances should be added.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation